Subject: Re: How to fix 8xx dcbst bug?

From: Dan Malek <[email-masked]>
Date: Sat, 7 May 2005 21:00:28 -0400

On May 7, 2005, at 6:47 PM, Joakim Tjernlund wrote:

> I was once told by a senior kernel hacker(Dan?) that using swap could 
> make an already
> populated pte invalid. This was for 2.4 kernels.

The original problem was I didn't pay attention to the swap PTE when
constructing the originals for the 8xx.  The swap PTE has to be 
indicated
as such in one of the lowest 2 bits of the PTE, as the rest of the PTE 
is
used for the swap block number.  What would happen is there would
be the occasion where some control bit was set in the PTE within the
swap block number, and upon restoring from disk the wrong block
would be brought into memory (or the fact it was swapped was lost).

Thanks.

	-- Dan